## kimagemapeditor 17.12.3

=== pics/CMakeLists.txt ===
install( FILES  addpointcursor.png freehandcursor.png polygoncursor.png removepointcursor.png  DESTINATION ${DATA_INSTALL_DIR}/kimagemapeditor)

ecm_install_icons(ICONS
    16-apps-kimagemapeditor.png
    22-actions-addpoint.png
    22-actions-arrow.png
    22-actions-circle.png
    22-actions-circle2.png
    22-actions-freehand.png
    22-actions-lower.png
    22-actions-polygon.png
    22-actions-raise.png
    22-actions-rectangle.png
    22-actions-removepoint.png
    32-apps-kimagemapeditor.png
    48-apps-kimagemapeditor.png
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

## kimagemapeditor 16.12.3

=== debian/changelog ===
kimagemapeditor (4:16.12.3-0ubuntu1) zesty; urgency=medium

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * Update copyright after split from kdewebdev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 06 Apr 2017 16:55:37 +0100

kimagemapeditor (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Initial packaging for kimagemapeditor which is split from kdewebdev

  [ Rik Mills ]
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:19:54 +0000

kdewebdev (4:16.04.3-1ubuntu1) yakkety; urgency=medium

  * Merge with debian, this drops the kdewebdev-dbg package which was depending
    on kde-runtime-dbg which is now gone from the Ubuntu archive.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 10 Oct 2016 11:02:05 +0200

kdewebdev (4:16.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Remove extra nepomuk-core-dev build dependency.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Aug 2016 07:15:23 +0200

kdewebdev (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:42:29 +0200

kdewebdev (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:18:55 -0700

kdewebdev (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:41:38 +0100

kdewebdev (4:15.08.3-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym

  [ Maximiliano Curia ]
  * Update the metadata to point to the svn

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 18:01:15 +0200

kdewebdev (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:02 +0100

kdewebdev (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:23:07 +0100

kdewebdev (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:49:08 +0100

kdewebdev (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.2).
  * New upstream release (15.08.0).
  * Bump Standards-Version to 3.9.6.
  * Add libsoprano-dev build dep.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:11:07 +0200

kdewebdev (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:24:06 +0100

kdewebdev (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:48:42 +0100

kdewebdev (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:58:56 +0200

kdewebdev (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:00:11 -0700

kdewebdev (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:53:42 -0800

kdewebdev (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Remove kdepimlibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:21:31 +0100

kdewebdev (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 18:43:11 -0800

kdewebdev (4:14.11.95-0ubuntu1) vivd; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, remaining changes:
   - Drop nepomuk-core-dev from Build Depends

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 03:35:16 +0000

kdewebdev (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:48:05 -0700

kdewebdev (4:4.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add an explicit kdelibs5-dev build dependency before kdepimlibs5-dev;
    this should help pulling phonon-backend-dummy as build dependency instead
    of a real backend, even if some library depends on phonon.
  * Remove obsolete installgen file.
  * Point Homepage to http://www.kde.org, as kdewebdev.org has expired.
    (Closes: #758292)

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2014 18:45:52 +0200

kdewebdev (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:09:53 +0200

kdewebdev (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
Source: kimagemapeditor
Section: web
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.30~),
               kdepimlibs5-dev (>= 4:4.11),
               libboost-dev,
               libtidy-dev,
               libxslt-dev,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimagemapeditor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimagemapeditor

Package: kimagemapeditor
Architecture: any
Section: editors
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML image map editor
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of KDE web development module.

## kimagemapeditor 17.04.3

=== debian/changelog ===
kimagemapeditor (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:35:31 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                kdepimlibs5-dev (>= 4:4.11),
                libboost-dev,
                libtidy-dev,

## kimagemapeditor 17.12.3

=== debian/changelog ===
kimagemapeditor (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:31 +0000

kimagemapeditor (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Porting packaging to KF5

  [ Rik Mills ]
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Breaks/replaces against conflicting kde-l10n

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:58:17 +0000

kimagemapeditor (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:06:19 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,22 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.34~),
-               kdepimlibs5-dev (>= 4:4.11),
-               libboost-dev,
-               libtidy-dev,
-               libxslt-dev,
+               extra-cmake-modules,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5kdelibs4support-dev,
+               libkf5khtml-dev,
+               libkf5parts-dev,
+               libkf5widgetsaddons-dev,
+               libkf5xmlgui-dev,
                pkg-kde-tools (>= 0.12),
-               zlib1g-dev
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.7.0~)
+Standards-Version: 4.0.1
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimagemapeditor
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimagemapeditor
@@ -25,6 +32,8 @@
 Architecture: any
 Section: editors
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: HTML image map editor
  KImageMapEditor is a tool that allows you to edit image maps in HTML
  files. As well as providing a standalone application, KImageMapEditor

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kimagemapeditor-([\d.]+).tar.xz

## kimagemapeditor 18.04.3

=== debian/changelog ===
kimagemapeditor (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:17:55 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5widgetsaddons-dev,
                libkf5xmlgui-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.7.0~)
+               qtbase5-dev (>= 5.7.0~),
 Standards-Version: 4.0.1
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimagemapeditor

## kimagemapeditor 18.12.0

=== CMakeLists.txt ===
project(kimagemapeditor)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.15.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Gui
    Widgets
)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    GuiAddons
    KHtml
    Parts
    I18n
    WidgetsAddons
    XmlGui
    KDELibs4Support
)

include(FeatureSummary)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

add_subdirectory( pics )
ecm_optional_add_subdirectory(doc)

set(libkimagemapeditorcommon_SRC
    areacreator.cpp 
    kimearea.cpp 
    kimecommands.cpp 
    kimedialogs.cpp 
    kimagemapeditor.cpp 
    drawzone.cpp 
    arealistview.cpp 
    imageslistview.cpp 
    mapslistview.cpp
    imagemapchoosedialog.cpp
)

ecm_qt_declare_logging_category(libkimagemapeditorcommon_SRC
    HEADER kimagemapeditor_debug.h
    IDENTIFIER KIMAGEMAPEDITOR_LOG
    CATEGORY_NAME org.kde.kimagemapeditor
    DEFAULT_SEVERITY Warning
)

########### next target ###############

set(kimagemapeditor_bin_SRCS main.cpp kimeshell.cpp ${libkimagemapeditorcommon_SRC})


add_executable(kimagemapeditor_bin ${kimagemapeditor_bin_SRCS})

set_target_properties(kimagemapeditor_bin PROPERTIES OUTPUT_NAME kimagemapeditor)

target_link_libraries(kimagemapeditor_bin KF5::KHtml KF5::KDELibs4Support)

install(TARGETS kimagemapeditor_bin  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(kimagemapeditor_PART_SRCS ${libkimagemapeditorcommon_SRC})


add_library(kimagemapeditor MODULE ${kimagemapeditor_PART_SRCS})


target_link_libraries(kimagemapeditor KF5::KHtml KF5::KDELibs4Support)

install(TARGETS kimagemapeditor  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############


########### install files ###############

install( FILES  org.kde.kimagemapeditor.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install( FILES  org.kde.kimagemapeditor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install( FILES  kimagemapeditorpart.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install( FILES  kimagemapeditorui.rc kimagemapeditorpartui.rc  DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kimagemapeditor)
install( FILES  kimagemapeditor.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kimagemapeditor (4:18.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 15:24:23 +0100

kimagemapeditor (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Thu, 31 May 2018 00:44:18 +0200

kimagemapeditor (4:17.12.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Remove the migration from old -dbg package, since it is not useful.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 14:01:18 +0100

kimagemapeditor (4:17.12.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file to stable releases.
  * Bump Standards-Version to 4.1.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Dec 2017 06:59:25 +0100

kimagemapeditor (4:17.11.80-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Clark ]
  [ Pino Toscano ]
  * Initial packaging, kf5 port and split from kdewebdev.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Dec 2017 08:13:21 +0100

=== debian/control ===
Source: kimagemapeditor
Section: web
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5guiaddons-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5kdelibs4support-dev (>= 5.15.0~),
               libkf5khtml-dev (>= 5.15.0~),
               libkf5parts-dev (>= 5.15.0~),
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.3.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor.git

Package: kimagemapeditor
Architecture: any
Section: editors
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: HTML image map editor
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of KDE web development module.

## kimagemapeditor 18.12.3

=== debian/changelog ===
kimagemapeditor (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:29:19 +0000

kimagemapeditor (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:16:37 +0000

kimagemapeditor (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:11:16 +0000

kimagemapeditor (4:18.12.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 03 Jan 2019 09:01:03 +0000

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
                qtbase5-dev (>= 5.7.0~),
 Standards-Version: 4.3.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimagemapeditor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimagemapeditor
 
 Package: kimagemapeditor
 Architecture: any

## kimagemapeditor 19.04.3

=== debian/changelog ===
kimagemapeditor (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:14:58 +0100

kimagemapeditor (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:06:53 +0100

kimagemapeditor (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:58:45 +0100

kimagemapeditor (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:44:16 +0100

## kimagemapeditor 19.08.1

=== debian/changelog ===
kimagemapeditor (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - remove libkf5kdelibs4support-dev
    - add libkf5iconthemes-dev
    - explicitly add gettext
  * Unregister kimagemapeditor.categories as conffile, as it is no more
    in /etc.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Oct 2019 22:05:14 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.15.0~),
+               gettext,
                libkf5config-dev (>= 5.15.0~),
                libkf5configwidgets-dev (>= 5.15.0~),
                libkf5coreaddons-dev (>= 5.15.0~),
@@ -17,17 +18,17 @@
                libkf5doctools-dev (>= 5.15.0~),
                libkf5guiaddons-dev (>= 5.15.0~),
                libkf5i18n-dev (>= 5.15.0~),
-               libkf5kdelibs4support-dev (>= 5.15.0~),
+               libkf5iconthemes-dev (>= 5.15.0~),
                libkf5khtml-dev (>= 5.15.0~),
                libkf5parts-dev (>= 5.15.0~),
                libkf5widgetsaddons-dev (>= 5.15.0~),
                libkf5xmlgui-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimagemapeditor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimagemapeditor
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor.git
 
 Package: kimagemapeditor
 Architecture: any

## kimagemapeditor 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kimagemapeditor VERSION ${KDE_APPLICATIONS_VERSION})

set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.15.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

add_definitions(-DQURL_NO_CAST_FROM_STRING)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Gui
    Widgets
    WebEngineWidgets
)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    GuiAddons
    IconThemes
    Parts
    I18n
    WidgetsAddons
    XmlGui
)

include(FeatureSummary)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KIMAGEMAPEDITOR VERSION_HEADER kimagemapeditor_version.h)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

add_subdirectory( pics )
ecm_optional_add_subdirectory(doc)

set(libkimagemapeditorcommon_SRC
    areacreator.cpp
    kimearea.cpp
    kimecommands.cpp
    kimedialogs.cpp
    kimagemapeditor.cpp
    drawzone.cpp
    arealistview.cpp
    imageslistview.cpp
    mapslistview.cpp
    imagemapchoosedialog.cpp
)
qt5_add_resources(libkimagemapeditorcommon_SRC kimagemapeditor.qrc)

ecm_qt_declare_logging_category(libkimagemapeditorcommon_SRC
    HEADER kimagemapeditor_debug.h
    IDENTIFIER KIMAGEMAPEDITOR_LOG
    CATEGORY_NAME org.kde.kimagemapeditor
    DEFAULT_SEVERITY Warning
)

########### next target ###############

set(kimagemapeditor_bin_SRCS main.cpp kimeshell.cpp ${libkimagemapeditorcommon_SRC})


add_executable(kimagemapeditor_bin ${kimagemapeditor_bin_SRCS})

set_target_properties(kimagemapeditor_bin PROPERTIES OUTPUT_NAME kimagemapeditor)

target_link_libraries(kimagemapeditor_bin KF5::CoreAddons KF5::I18n KF5::ConfigCore KF5::IconThemes KF5::Parts Qt5::WebEngineWidgets)

install(TARGETS kimagemapeditor_bin  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(kimagemapeditor_PART_SRCS ${libkimagemapeditorcommon_SRC})


add_library(kimagemapeditor MODULE ${kimagemapeditor_PART_SRCS})


target_link_libraries(kimagemapeditor KF5::CoreAddons KF5::IconThemes KF5::I18n KF5::ConfigCore KF5::Parts Qt5::WebEngineWidgets)

install(TARGETS kimagemapeditor  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############


########### install files ###############

install( FILES  org.kde.kimagemapeditor.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install( FILES  org.kde.kimagemapeditor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install( FILES  kimagemapeditorpart.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

if (NOT ECM_VERSION VERSION_LESS "5.59.0")
    install( FILES  kimagemapeditor.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR} )
else()
    install( FILES  kimagemapeditor.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== pics/CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,12 @@
     22-actions-raise.png
     22-actions-rectangle.png
     22-actions-removepoint.png
+    22-apps-kimagemapeditor.png
     32-apps-kimagemapeditor.png
     48-apps-kimagemapeditor.png
+    64-apps-kimagemapeditor.png
+    128-apps-kimagemapeditor.png
+    sc-apps-kimagemapeditor.svgz
     DESTINATION ${ICON_INSTALL_DIR}
     THEME hicolor
 )

=== debian/changelog ===
kimagemapeditor (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:10:19 +0000

kimagemapeditor (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:20:43 +0000

kimagemapeditor (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:54:49 +0000

kimagemapeditor (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:48:27 +0000

kimagemapeditor (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:33:10 +0000

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
                libkf5xmlgui-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.7.0~),
+               qtwebengine5-dev,
 Standards-Version: 4.4.1
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-10~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## kimagemapeditor 20.08.1

=== debian/changelog ===
kimagemapeditor (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:54:07 +0100

kimagemapeditor (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:47:25 +0100

kimagemapeditor (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - add qtwebengine5-dev
    - remove libkf5khtml-dev
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 20:02:12 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.15.0~),
                gettext,
                libkf5config-dev (>= 5.15.0~),
@@ -19,14 +19,14 @@
                libkf5guiaddons-dev (>= 5.15.0~),
                libkf5i18n-dev (>= 5.15.0~),
                libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5khtml-dev (>= 5.15.0~),
                libkf5parts-dev (>= 5.15.0~),
                libkf5widgetsaddons-dev (>= 5.15.0~),
                libkf5xmlgui-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.7.0~),
-               qtwebengine5-dev,
-Standards-Version: 4.4.1
+               qtwebengine5-dev (>= 5.7.0~),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor.git

## kimagemapeditor 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(kimagemapeditor VERSION ${KDE_APPLICATIONS_VERSION})
+project(kimagemapeditor VERSION ${RELEASE_SERVICE_VERSION})
 
 set (QT_MIN_VERSION "5.7.0")
 set (KF5_MIN_VERSION "5.15.0")
@@ -45,7 +45,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMSetupVersion)
 
-ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KIMAGEMAPEDITOR VERSION_HEADER kimagemapeditor_version.h)
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KIMAGEMAPEDITOR VERSION_HEADER kimagemapeditor_version.h)
 
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

=== debian/changelog ===
kimagemapeditor (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Refresh upstream metadata.
  * Update project homepage.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Remove Modestas Vainius, Eshat Cakar, Maximiliano Curia from the
    uploaders, thanks for your work on the package!
  * Add myself to the uploaders.
  * Remove kde-l10n migration rules, not needed anymore after 2 stable
    releases.
  * Align minimum cmake version with upstream build system.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Dec 2020 23:18:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,10 @@
 Section: web
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper-compat (= 12),
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.15.0~),
                gettext,
                libkf5config-dev (>= 5.15.0~),
@@ -25,9 +23,9 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.7.0~),
                qtwebengine5-dev (>= 5.7.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://apps.kde.org/en/kimagemapeditor
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor.git
 
@@ -35,8 +33,6 @@
 Architecture: any
 Section: editors
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: HTML image map editor
  KImageMapEditor is a tool that allows you to edit image maps in HTML
  files. As well as providing a standalone application, KImageMapEditor

## kimagemapeditor 20.12.3

=== debian/changelog ===
kimagemapeditor (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:20:32 +0000

kimagemapeditor (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:54:38 +0000

kimagemapeditor (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:10:34 +0000

## kimagemapeditor 21.08.0

=== debian/changelog ===
kimagemapeditor (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:14:07 +0900

kimagemapeditor (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 15:25:59 +0900

=== debian/control ===
Source: kimagemapeditor
Section: web
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.83.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5crash-dev (>= 5.83.0~),
               libkf5dbusaddons-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5guiaddons-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5parts-dev (>= 5.83.0~),
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
               qtwebengine5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kimagemapeditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimagemapeditor.git

Package: kimagemapeditor
Architecture: any
Section: editors
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML image map editor
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of KDE web development module.

## kimagemapeditor 21.08.1

=== debian/changelog ===
kimagemapeditor (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:34:07 +0100

kimagemapeditor (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:02:49 +0100

kimagemapeditor (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:56:12 +0100

kimagemapeditor (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:34:19 +0100

kimagemapeditor (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:43:55 +0100

kimagemapeditor (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:40:34 +0100

kimagemapeditor (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:07:01 +0100

kimagemapeditor (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:36:22 +0100

## kimagemapeditor 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kimagemapeditor VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.83.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

add_definitions(-DQURL_NO_CAST_FROM_STRING)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Gui
    Widgets
    WebEngineWidgets
)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    GuiAddons
    Parts
    I18n
    WidgetsAddons
    XmlGui
)

include(FeatureSummary)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KIMAGEMAPEDITOR VERSION_HEADER kimagemapeditor_version.h)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

add_subdirectory( pics )
add_subdirectory( doc )

ecm_qt_declare_logging_category(kimagemapeditor_LOG_SRC
    HEADER kimagemapeditor_debug.h
    IDENTIFIER KIMAGEMAPEDITOR_LOG
    CATEGORY_NAME org.kde.kimagemapeditor
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KImageMapEditor"
    EXPORT KIMAGEMAPEDITOR
)

########### next target ###############

add_executable(kimagemapeditor_bin)

set_target_properties(kimagemapeditor_bin PROPERTIES OUTPUT_NAME kimagemapeditor)

target_sources(kimagemapeditor_bin PRIVATE
    main.cpp
    kimeshell.cpp
    ${kimagemapeditor_LOG_SRC}

    kimagemapeditor.qrc
)

target_link_libraries(kimagemapeditor_bin
    KF5::CoreAddons
    KF5::I18n
    KF5::ConfigCore
    KF5::Parts
    Qt5::WebEngineWidgets
)

install(TARGETS kimagemapeditor_bin  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

configure_file(kimagemapeditorpart.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/kimagemapeditorpart.desktop)

add_library(kimagemapeditorpart MODULE)

target_sources(kimagemapeditorpart PRIVATE
    areacreator.cpp
    kimearea.cpp
    kimecommands.cpp
    kimedialogs.cpp
    kimagemapeditor.cpp
    drawzone.cpp
    arealistview.cpp
    imageslistview.cpp
    mapslistview.cpp
    imagemapchoosedialog.cpp
    ${kimagemapeditor_LOG_SRC}

    kimagemapeditorpart.qrc
)

kcoreaddons_desktop_to_json(kimagemapeditorpart ${CMAKE_CURRENT_BINARY_DIR}/kimagemapeditorpart.desktop)

target_link_libraries(kimagemapeditorpart
    KF5::CoreAddons
    KF5::I18n
    KF5::ConfigCore
    KF5::Parts
    Qt5::WebEngineWidgets
)

install(TARGETS kimagemapeditorpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)

########### install files ###############

install( FILES  org.kde.kimagemapeditor.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install( FILES  org.kde.kimagemapeditor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/kimagemapeditorpart.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

ecm_qt_install_logging_categories(
    EXPORT KIMAGEMAPEDITOR
    FILE kimagemapeditor.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kimagemapeditor (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:11:16 +0000

kimagemapeditor (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:17:49 +0000

kimagemapeditor (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:25:45 +0000

kimagemapeditor (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:22:49 +0000

kimagemapeditor (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:07:18 +0000

kimagemapeditor (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:18:02 +0000

kimagemapeditor (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:26:38 +0000

kimagemapeditor (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:40:35 +0000

=== debian/control ===
Source: kimagemapeditor
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.15.0~),
               gettext,
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5guiaddons-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5iconthemes-dev (>= 5.15.0~),
               libkf5parts-dev (>= 5.15.0~),
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.7.0~),
               qtwebengine5-dev (>= 5.7.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kimagemapeditor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimagemapeditor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimagemapeditor

Package: kimagemapeditor
Architecture: any
Section: editors
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML image map editor
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of KDE web development module.

## kimagemapeditor 22.08.1

=== debian/changelog ===
kimagemapeditor (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:40:39 +0100

kimagemapeditor (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:50:27 +0100

kimagemapeditor (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:28:04 +0100

kimagemapeditor (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:02:13 +0100

kimagemapeditor (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:00:37 +0100

kimagemapeditor (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:48:35 +0100
